package es.ua.j2ee.mensajes;

import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

import es.ua.j2ee.mensajes.vista.ControladorUI;

public class MIDletMensajes extends MIDlet {

	ControladorUI controlador;

	protected void startApp() throws MIDletStateChangeException {
		controlador = new ControladorUI(this);
		controlador.showMenu();
	}

	protected void pauseApp() {
	}

	protected void destroyApp(boolean cond) throws MIDletStateChangeException {

		try {
			// Libera recursos del modelo
			controlador.destroy();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void salir() {
		try {
			destroyApp(true);
		} catch (MIDletStateChangeException e) {
		}
		notifyDestroyed();
	}
}